Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 6701 - exec login command fails
Summary: exec login command fails
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: util-linux
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-04 00:02 UTC by roger
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-11-05 13:12:12 UTC


Attachments (Terms of Use)

Description roger 1999-11-04 00:02:48 UTC
entering "exec login <username>" gives the usual password
prompt, but fails when the password is entered. The log file
shows
lynx login: setuid() failed

If the <username> is root, then the command is successful,
after entering the correct root password, but there is a
message
  No directory /root!
  Logging in with home = "/".he message

It appears that the login command is not executing setfsuid

Comment 1 Jeff Johnson 1999-11-05 13:12:59 UTC
Unlike many other programs (and many other unices), login is
responsible for preserving the PAM session. This is done by
an extra fork. Working out the pokery-jiggery necessary to
permit
	exec login ...
and
	login ...
to function "normally" is not worth the effort.


Note You need to log in before you can comment on or make changes to this bug.